<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3148
Name: Diagnosen/prädisponierende Faktoren
Description: Angaben zu Diagnosen bezogen auf den Gesundheitszustand des Patienten 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3148-2018-08-02T103133">
   <title>Diagnosen/prädisponierende Faktoren</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]"
         id="d42e2413-false-d21707e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3148']) &gt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:templateId[@root = '1.2.276.0.76.10.3148'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3148']) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:templateId[@root = '1.2.276.0.76.10.3148'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:id) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:text) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:templateId[@root = '1.2.276.0.76.10.3148']
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:templateId[@root = '1.2.276.0.76.10.3148']"
         id="d42e2415-false-d21788e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="string(@root) = ('1.2.276.0.76.10.3148')">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Wert von root MUSS '1.2.276.0.76.10.3148' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:id
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:id"
         id="d42e2420-false-d21802e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2422-false-d21813e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="@nullFlavor or (@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diagnosis narrative' and @codeSystemName='LOINC')">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Elementinhalt MUSS einer von 'code '29548-5' codeSystem '2.16.840.1.113883.6.1' displayName='Diagnosis narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:title[not(@nullFlavor)]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:title[not(@nullFlavor)]"
         id="d42e2427-false-d21829e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:text
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:text"
         id="d42e2433-false-d21839e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4079']]]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4079']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="string(@typeCode) = ('DRIV')">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
