<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3158
Name: Dermatologische Anamnese
Description: Angaben zu einer dermatologischen Anamnese
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3158-2020-03-30T223340">
   <title>Dermatologische Anamnese</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]
Item: (DermatologischeAnamnese)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]"
         id="d42e3510-false-d27066e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:entry/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4309']]/hl7:value[@code='162498009']) = 0 or count(hl7:entry/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4309']]) = 1">(DermatologischeAnamnese): Beschwerdeverlauf "Unverändert" schließt weitere Angaben zum Beschwerdeverlauf aus.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3158']) &gt;= 1">(DermatologischeAnamnese): Element hl7:templateId[@root = '1.2.276.0.76.10.3158'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3158']) &lt;= 1">(DermatologischeAnamnese): Element hl7:templateId[@root = '1.2.276.0.76.10.3158'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeAnamnese): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DermatologischeAnamnese): Element hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeAnamnese): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeAnamnese): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeAnamnese): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]) &lt;= 1">(DermatologischeAnamnese): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:templateId[@root = '1.2.276.0.76.10.3158']
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:templateId[@root = '1.2.276.0.76.10.3158']"
         id="d42e3512-false-d27133e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@root) = ('1.2.276.0.76.10.3158')">(DermatologischeAnamnese): Der Wert von root MUSS '1.2.276.0.76.10.3158' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:id
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:id"
         id="d42e3517-false-d27147e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e3519-false-d27158e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="@nullFlavor or (@code='84077-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dermatology History and physical note')">(DermatologischeAnamnese): Der Elementinhalt MUSS einer von 'code '84077-7' codeSystem '2.16.840.1.113883.6.1' displayName='Dermatology History and physical note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:title[not(@nullFlavor)]"
         id="d42e3524-false-d27174e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="text()='Anamnese'">(DermatologischeAnamnese): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Anamnese'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:text
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:text"
         id="d42e3530-false-d27188e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]"
         id="d42e3533-false-d27202e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@typeCode) = ('DRIV')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]"
         id="d42e3545-false-d27232e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@typeCode) = ('DRIV')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3158
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]
Item: (DermatologischeAnamnese)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3158']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]"
         id="d42e3555-false-d27262e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="string(@typeCode) = ('DRIV')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.3158-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
