<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4307
Name: Dermatologie Verdacht auf Malignität
Description: Angabe eines Verdachts auf Malignität.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4307-2020-03-25T201310">
   <title>Dermatologie Verdacht auf Malignität</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4307
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]
Item: (DermatologySuspicionMalignity)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4307
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]
Item: (DermatologySuspicionMalignity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]"
         id="d42e9127-false-d46766e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="string(@classCode) = ('OBS')">(DermatologySuspicionMalignity): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="string(@moodCode) = ('EVN')">(DermatologySuspicionMalignity): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4307']) &gt;= 1">(DermatologySuspicionMalignity): Element hl7:templateId[@root = '1.2.276.0.76.10.4307'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4307']) &lt;= 1">(DermatologySuspicionMalignity): Element hl7:templateId[@root = '1.2.276.0.76.10.4307'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="count(hl7:code[(@code = '66679-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(DermatologySuspicionMalignity): Element hl7:code[(@code = '66679-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="count(hl7:code[(@code = '66679-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DermatologySuspicionMalignity): Element hl7:code[(@code = '66679-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(DermatologySuspicionMalignity): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(DermatologySuspicionMalignity): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4307
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:templateId[@root = '1.2.276.0.76.10.4307']
Item: (DermatologySuspicionMalignity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:templateId[@root = '1.2.276.0.76.10.4307']"
         id="d42e9133-false-d46813e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologySuspicionMalignity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="string(@root) = ('1.2.276.0.76.10.4307')">(DermatologySuspicionMalignity): Der Wert von root MUSS '1.2.276.0.76.10.4307' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4307
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:id
Item: (DermatologySuspicionMalignity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:id"
         id="d42e9138-false-d46827e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologySuspicionMalignity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4307
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:code[(@code = '66679-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DermatologySuspicionMalignity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:code[(@code = '66679-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e9140-false-d46838e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologySuspicionMalignity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="@nullFlavor or (@code='66679-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Malignancy')">(DermatologySuspicionMalignity): Der Elementinhalt MUSS einer von 'code '66679-2' codeSystem '2.16.840.1.113883.6.1' displayName='Malignancy'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4307
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:value[not(@nullFlavor)]
Item: (DermatologySuspicionMalignity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4307']]/hl7:value[not(@nullFlavor)]"
         id="d42e9146-false-d46854e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4307-2020-03-25T201310.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologySuspicionMalignity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
