<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4310
Name: Dermatologie Risikofaktor Berufliche Tätigkeit
Description: Angaben zu Risikofaktoren aus beruflicher Tätigkeit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4310-2020-04-03T182608">
   <title>Dermatologie Risikofaktor Berufliche Tätigkeit</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4310
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]
Item: (RisikofaktorBeruflicheTaetigkeit)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4310
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]
Item: (RisikofaktorBeruflicheTaetigkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]"
         id="d42e9355-false-d47221e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="string(@classCode) = ('OBS')">(RisikofaktorBeruflicheTaetigkeit): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="string(@moodCode) = ('EVN')">(RisikofaktorBeruflicheTaetigkeit): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4310']) &gt;= 1">(RisikofaktorBeruflicheTaetigkeit): Element hl7:templateId[@root = '1.2.276.0.76.10.4310'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4310']) &lt;= 1">(RisikofaktorBeruflicheTaetigkeit): Element hl7:templateId[@root = '1.2.276.0.76.10.4310'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="count(hl7:code[(@code = '87729-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(RisikofaktorBeruflicheTaetigkeit): Element hl7:code[(@code = '87729-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="count(hl7:code[(@code = '87729-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(RisikofaktorBeruflicheTaetigkeit): Element hl7:code[(@code = '87729-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="count(hl7:text) &gt;= 1">(RisikofaktorBeruflicheTaetigkeit): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="count(hl7:text) &lt;= 1">(RisikofaktorBeruflicheTaetigkeit): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4310
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:templateId[@root = '1.2.276.0.76.10.4310']
Item: (RisikofaktorBeruflicheTaetigkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:templateId[@root = '1.2.276.0.76.10.4310']"
         id="d42e9361-false-d47268e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorBeruflicheTaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="string(@root) = ('1.2.276.0.76.10.4310')">(RisikofaktorBeruflicheTaetigkeit): Der Wert von root MUSS '1.2.276.0.76.10.4310' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4310
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:id
Item: (RisikofaktorBeruflicheTaetigkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:id"
         id="d42e9366-false-d47282e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorBeruflicheTaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4310
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:code[(@code = '87729-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (RisikofaktorBeruflicheTaetigkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:code[(@code = '87729-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e9368-false-d47293e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorBeruflicheTaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="@nullFlavor or (@code='87729-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of Occupational hazard')">(RisikofaktorBeruflicheTaetigkeit): Der Elementinhalt MUSS einer von 'code '87729-0' codeSystem '2.16.840.1.113883.6.1' displayName='History of Occupational hazard'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4310
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:text
Item: (RisikofaktorBeruflicheTaetigkeit)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]/hl7:text"
         id="d42e9374-false-d47309e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4310-2020-04-03T182608.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RisikofaktorBeruflicheTaetigkeit): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
