<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4312
Name: Dermatologie Vorbehandlung
Description: Art und Dauer der Vorbehandlung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4312-2020-04-04T214401">
   <title>Dermatologie Vorbehandlung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4312
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]
Item: (VorbehandlungDermatologie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4312
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]
Item: (VorbehandlungDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]"
         id="d42e9461-false-d47453e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="string(@classCode) = ('OBS')">(VorbehandlungDermatologie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="string(@moodCode) = ('EVN')">(VorbehandlungDermatologie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4312']) &gt;= 1">(VorbehandlungDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.4312'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4312']) &lt;= 1">(VorbehandlungDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.4312'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:code[(@code = '76441-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(VorbehandlungDermatologie): Element hl7:code[(@code = '76441-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:code[(@code = '76441-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(VorbehandlungDermatologie): Element hl7:code[(@code = '76441-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(VorbehandlungDermatologie): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(VorbehandlungDermatologie): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(VorbehandlungDermatologie): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(VorbehandlungDermatologie): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4312
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:templateId[@root = '1.2.276.0.76.10.4312']
Item: (VorbehandlungDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:templateId[@root = '1.2.276.0.76.10.4312']"
         id="d42e9467-false-d47508e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorbehandlungDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="string(@root) = ('1.2.276.0.76.10.4312')">(VorbehandlungDermatologie): Der Wert von root MUSS '1.2.276.0.76.10.4312' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4312
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:id
Item: (VorbehandlungDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:id"
         id="d42e9472-false-d47522e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorbehandlungDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4312
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:code[(@code = '76441-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (VorbehandlungDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:code[(@code = '76441-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e9474-false-d47533e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorbehandlungDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="@nullFlavor or (@code='76441-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medical history relevant to physical therapy treatment')">(VorbehandlungDermatologie): Der Elementinhalt MUSS einer von 'code '76441-5' codeSystem '2.16.840.1.113883.6.1' displayName='Medical history relevant to physical therapy treatment'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4312
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:text[not(@nullFlavor)]
Item: (VorbehandlungDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:text[not(@nullFlavor)]"
         id="d42e9480-false-d47549e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorbehandlungDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4312
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (VorbehandlungDermatologie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4312']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e9486-false-d47559e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4312-2020-04-04T214401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VorbehandlungDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
