<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4322
Name: Dermatologie Familienanamnese Problem Concern Act
Description: 
                 Beschreibung der dermatologischen Probleme innerhalb der Familie des Patienten 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4322-2020-05-24T232408">
   <title>Dermatologie Familienanamnese Problem Concern Act</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]"
         id="d42e10124-false-d48980e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="string(@classCode) = ('ACT')">(ProblemConcernActDermatologyFamilyHistory): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="string(@moodCode) = ('EVN')">(ProblemConcernActDermatologyFamilyHistory): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4322']) &gt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:templateId[@root = '1.2.276.0.76.10.4322'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4322']) &lt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:templateId[@root = '1.2.276.0.76.10.4322'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:templateId[@root = '1.2.276.0.76.10.4322']
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:templateId[@root = '1.2.276.0.76.10.4322']"
         id="d42e10130-false-d49040e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemConcernActDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="string(@root) = ('1.2.276.0.76.10.4322')">(ProblemConcernActDermatologyFamilyHistory): Der Wert von root MUSS '1.2.276.0.76.10.4322' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:id
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:id"
         id="d42e10135-false-d49054e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemConcernActDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d42e10137-false-d49065e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(ProblemConcernActDermatologyFamilyHistory): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:statusCode[@code = 'completed']
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:statusCode[@code = 'completed']"
         id="d42e10143-false-d49079e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemConcernActDermatologyFamilyHistory): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="@nullFlavor or (@code='completed')">(ProblemConcernActDermatologyFamilyHistory): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:effectiveTime[hl7:low]
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:effectiveTime[hl7:low]"
         id="d42e10148-false-d49095e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="count(hl7:high) &lt;= 1">(ProblemConcernActDermatologyFamilyHistory): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:effectiveTime[hl7:low]/hl7:low[not(@nullFlavor)]
Item: (ProblemConcernActDermatologyFamilyHistory)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (ProblemConcernActDermatologyFamilyHistory)
-->


   <!--
Template derived rules for ID: 1.2.276.0.76.10.4322
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]
Item: (ProblemConcernActDermatologyFamilyHistory)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4322']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4321']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210409T101549/tmp-1.2.276.0.76.10.4322-2020-05-24T232408.html"
              test="string(@typeCode) = ('SUBJ')">(ProblemConcernActDermatologyFamilyHistory): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
